Subject: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: "Drew Adams" <[email-masked]>
Date: Tue, 19 Jan 2010 11:37:03 -0800

> > You are right that the problem seems to be `load', not 
> > Tramp. If I do (load "c:/the-file.el"), then I get the
> > "end-of-file during parsing" error. If I load
> > exactly the same file from another location, it loads fine: (load
> > "c:/somewhere/the-file.el").
> 
> What is in the-file.el? will an empty file do? if not, what should be
> there to reproduce the problem?

Please read the thread. It is the attachment, `pared-hist', that I sent to the
second mail (the attachment to the first mail, `emacs-history', likewise, but
the second one is much smaller and is sufficient to reproduce the problem).

The file contains a (valid) lisp sexp from my .emacs-history file written by
savehist.el. Put the file in c:/ and you get the eof parsing error when loading.
Put the file somewhere else (e.g. c:/foo/) and you get no error.